MessagesApplicationSubscriber (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client

## Class MessagesApplicationSubscriber

- java.lang.Object
- - org.gcube.portlets.user.messages.client.MessagesApplicationSubscriber

- All Implemented Interfaces:
    SubscriberInterface

      public class MessagesApplicationSubscriber
      extends Object
      implements SubscriberInterface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagesApplicationSubscriber(MessagesApplicationController msgController)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createNewMessage(HashMap<String,String> hashAttachs)`
    `void` | `deleteMessage(String id)`
    `void` | `forwardMessage(String fromLogin, String subject, List<String> listToLogin, Date date, HashMap<String,String> hashAttachs, String textMessage)`
    `void` | `loadReceivedMessages()`
    `void` | `loadSentMessages()`
    `void` | `markAsReadMessage(String id, boolean isRead)`
    `void` | `replyMessage(String fromLogin, String subject, List<String> listContactsLogin, Date date, String textMessage)`
    `void` | `rootLoaded(FileModel root)`
    `void` | `updatePrevieMessage(MessageModel message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagesApplicationSubscriber

          public MessagesApplicationSubscriber(MessagesApplicationController msgController)

  - ### Method Detail

    - #### rootLoaded

          public void rootLoaded(FileModel root)

      Specified by:
        `rootLoaded` in interface `SubscriberInterface`

    - #### loadSentMessages

          public void loadSentMessages()

      Specified by:
        `loadSentMessages` in interface `SubscriberInterface`

    - #### loadReceivedMessages

          public void loadReceivedMessages()

      Specified by:
        `loadReceivedMessages` in interface `SubscriberInterface`

    - #### deleteMessage

          public void deleteMessage(String id)

      Specified by:
        `deleteMessage` in interface `SubscriberInterface`

    - #### markAsReadMessage

          public void markAsReadMessage(String id,
                               boolean isRead)

      Specified by:
        `markAsReadMessage` in interface `SubscriberInterface`

    - #### updatePrevieMessage

          public void updatePrevieMessage(MessageModel message)

      Specified by:
        `updatePrevieMessage` in interface `SubscriberInterface`

    - #### createNewMessage

          public void createNewMessage(HashMap<String,String> hashAttachs)

      Specified by:
        `createNewMessage` in interface `SubscriberInterface`

    - #### forwardMessage

          public void forwardMessage(String fromLogin,
                            String subject,
                            List<String> listToLogin,
                            Date date,
                            HashMap<String,String> hashAttachs,
                            String textMessage)

      Specified by:
        `forwardMessage` in interface `SubscriberInterface`

    - #### replyMessage

          public void replyMessage(String fromLogin,
                          String subject,
                          List<String> listContactsLogin,
                          Date date,
                          String textMessage)

      Specified by:
        `replyMessage` in interface `SubscriberInterface`

Copyright © 2014. All Rights Reserved.